org.fourthline.cling.model.message.discovery

## Class OutgoingSearchResponse

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.OutgoingDatagramMessage<UpnpResponse>
    - - org.fourthline.cling.model.message.discovery.OutgoingSearchResponse

- Direct Known Subclasses:
    OutgoingSearchResponseDeviceType, OutgoingSearchResponseRootDevice, OutgoingSearchResponseServiceType, OutgoingSearchResponseUDN

      public class OutgoingSearchResponse
      extends OutgoingDatagramMessage<UpnpResponse>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingSearchResponse(IncomingDatagramMessage request, Location location, LocalDevice device)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.message.OutgoingDatagramMessage

      `getDestinationAddress, getDestinationPort, getHeaders`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingSearchResponse

          public OutgoingSearchResponse(IncomingDatagramMessage request,
                                        Location location,
                                        LocalDevice device)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.